> ## Name

> cgResetPassState - calls the state resetting callback functions for all of the state assignments in a pass.

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgResetPassState( CGpass pass );

> ## Parameters

> pass
>   The pass handle.

> ## Return Values

> None.

> ## Description

> cgResetPassState resets all of the graphics state defined in a pass by calling the state resetting callbacks for all of the state assignments in the pass.

> The semantics of "resetting state" will depend on the particular graphics state manager that defined the valid state assignments; it will generally either mean that graphics state is reset to what it was before the pass, or that it is reset to the default value. The OpenGL state manager in the OpenGL Cg runtime implements the latter approach.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

> CG_INVALID_TECHNIQUE_ERROR is generated if the technique of which pass is a part has failed validation.

> ## History

> cgResetPassState was introduced in Cg 1.4.

> ## See Also

> cgSetPassState, cgCallStateResetCallback